Get folders/files under a folder
curl --request GET \
--url https://api.smokeball.com/matters/{matterId}/documents/folders/{folderId} \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/matters/{matterId}/documents/folders/{folderId}"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/matters/{matterId}/documents/folders/{folderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.smokeball.com/matters/{matterId}/documents/folders/{folderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.smokeball.com/matters/{matterId}/documents/folders/{folderId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.smokeball.com/matters/{matterId}/documents/folders/{folderId}")
.header("x-api-key", "<api-key>")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.smokeball.com/matters/{matterId}/documents/folders/{folderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"value": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"folders": [
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
"parentId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
"name": "Property Documents",
"isDeleted": false
}
],
"files": [
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
"versionId": "0f8fad5b-d9cb-469f-a165-70867728950e",
"folder": {
"href": "/matters/f1f9ab2c-3f2a-4a3c-9b6e-0e2d6f6a1b3c/documents/folders/2c1e8a0d-4b5f-4d2e-8a9b-7c6d5e4f3a2b"
},
"matter": {
"href": "/matters/f1f9ab2c-3f2a-4a3c-9b6e-0e2d6f6a1b3c"
},
"name": "court filing",
"fileExtension": ".pdf",
"ownerId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
"to": "recipient@email.com",
"from": "sender@email.com",
"dateCreated": "2022-04-23T14:00:00Z",
"dateModified": "2022-04-25T17:00:00Z",
"sizeBytes": 19104768,
"downloadInfo": {
"href": "/matters/f1f9ab2c-3f2a-4a3c-9b6e-0e2d6f6a1b3c/documents/files/b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2/download"
},
"additionalData": {
"source": "Outlook",
"pageCount": 12,
"isSigned": true
},
"isFavorite": false,
"isUploaded": false,
"isCancelled": false,
"isDuplicate": false,
"isDeleted": false
}
]
}
],
"offset": 123,
"limit": 123,
"size": 123,
"first": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"previous": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"next": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"last": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"parentId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
"name": "Property Documents",
"isDeleted": false
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Folders
Get folders/files under a folder
Returns a list of sub folders and files under a specified folder of a matter.
The parentId and name properties of the response describe the requested folder itself, not its children.
A deleted folder is still returned, with isDeleted: true and an empty listing.
Folders are listed before files. Paging applies across the combined list: offset defaults to 0 and limit
defaults to the maximum page size (PagingOptions.MaxPageSize). Deleted sub folders and deleted files are excluded.
GET
/
matters
/
{matterId}
/
documents
/
folders
/
{folderId}
Get folders/files under a folder
curl --request GET \
--url https://api.smokeball.com/matters/{matterId}/documents/folders/{folderId} \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/matters/{matterId}/documents/folders/{folderId}"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/matters/{matterId}/documents/folders/{folderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.smokeball.com/matters/{matterId}/documents/folders/{folderId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.smokeball.com/matters/{matterId}/documents/folders/{folderId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.smokeball.com/matters/{matterId}/documents/folders/{folderId}")
.header("x-api-key", "<api-key>")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.smokeball.com/matters/{matterId}/documents/folders/{folderId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"value": [
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"folders": [
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
"parentId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
"name": "Property Documents",
"isDeleted": false
}
],
"files": [
{
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2",
"versionId": "0f8fad5b-d9cb-469f-a165-70867728950e",
"folder": {
"href": "/matters/f1f9ab2c-3f2a-4a3c-9b6e-0e2d6f6a1b3c/documents/folders/2c1e8a0d-4b5f-4d2e-8a9b-7c6d5e4f3a2b"
},
"matter": {
"href": "/matters/f1f9ab2c-3f2a-4a3c-9b6e-0e2d6f6a1b3c"
},
"name": "court filing",
"fileExtension": ".pdf",
"ownerId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
"to": "recipient@email.com",
"from": "sender@email.com",
"dateCreated": "2022-04-23T14:00:00Z",
"dateModified": "2022-04-25T17:00:00Z",
"sizeBytes": 19104768,
"downloadInfo": {
"href": "/matters/f1f9ab2c-3f2a-4a3c-9b6e-0e2d6f6a1b3c/documents/files/b471682e-fa17-4e46-b7fe-9b2b8fdcb3c2/download"
},
"additionalData": {
"source": "Outlook",
"pageCount": 12,
"isSigned": true
},
"isFavorite": false,
"isUploaded": false,
"isCancelled": false,
"isDuplicate": false,
"isDeleted": false
}
]
}
],
"offset": 123,
"limit": 123,
"size": 123,
"first": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"previous": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"next": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"last": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"parentId": "750eb5c5-ac0b-7d11-4997-e0ce9d8896c8",
"name": "Property Documents",
"isDeleted": false
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"errors": {}
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Path Parameters
Query Parameters
Response
When request is successful. Returns a paged collection of 'FolderListing' objects.